Bug 447282 - X/Mesa 16bpp regression
X/Mesa 16bpp regression
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mesa (Show other bugs)
10
All Linux
low Severity low
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-19 06:10 EDT by Andrew Clayton
Modified: 2009-12-18 01:09 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:09:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Clayton 2008-05-19 06:10:17 EDT
Description of problem:

gtk-window-decorator won't display any window borders and gnome-terminal windows
come up all white under 16bpp. They work OK at 24bpp. 

Version-Release number of selected component (if applicable):

mesa-libGL-7.1-0.31.fc9.x86_64 (from updates-testing)

How reproducible:

100%

Steps to Reproduce:
1. Configure X to 16bpp
2. Try to enable compiz/gtk-window-decorator
3. Start up a gnome-terminal
  
Actual results:

No windows borders shown and gnome-terminal windows (at least) come up all 
white.


Expected results:

Window borders and gnome-terminal showing text

Additional info:

System is an AMD64 running the 64bit version of Fedora 9. Video card is a Radeon
9200 PRO using the xorg-ati driver

16bpp worked fine with Compiz under Fedora 8
Comment 1 Andrew Clayton 2008-06-06 05:30:54 EDT
Another seemingly related problem. I have a simple Clutter based app, when I run
it under 16bpp I get the following error

$ ./sodium /home/andrew/pics/3monitors/

(./sodium:15450): ClutterGLX-CRITICAL **: Unable to find suitable GL visual.

(./sodium:15450): Clutter-CRITICAL **: Unable to realize the main stage

(./sodium:15450): ClutterGLX-CRITICAL **: Unable to find suitable GL visual.
Opening directory: /home/andrew/pics/3monitors/
Adding image img_0041.jpg to list
Adding image img_0047.jpg to list
Adding image img_0040.jpg to list
Adding image img_0042.jpg to list
Adding image img_0048.jpg to list
Adding image img_0035.jpg to list
Adding image img_0037.jpg to list
Adding image img_0038.jpg to list
Adding image img_0046.jpg to list
Adding image img_0045.jpg to list
Adding image img_0049.jpg to list
Adding image img_0036.jpg to list
Adding image img_0039.jpg to list
Adding image img_0044.jpg to list
Adding image img_0043.jpg to list
Loading image: img_0041.jpg
Segmentation fault

And a corresponding line in dmesg

sodium[15450] general protection ip:342004a0be sp:7fff15e37a18 error:0 in
libGL.so.1.2[3420000000+69000]

Works under 24bpp and did work in 16bpp with Fedora 8


Comment 2 Bug Zapper 2009-06-09 20:59:57 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Andrew Clayton 2009-06-10 07:27:18 EDT
Problem remains in Fedora 10
Comment 4 Bug Zapper 2009-11-18 07:30:29 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-12-18 01:09:15 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.